# $Revision: 1.75 $, $Date: 2007/09/05 14:47:34 $
%define		_pre	pre1
%define		_rel	10
Summary:	OpenJade - DSSSL parser
Summary(pl.UTF-8):	OpenJade - parser DSSSL
Name:		openjade
Version:	1.3.3
Release:	0.%{_pre}.%{_rel}
Epoch:		1
License:	Free (Copyright (C) 1999 The OpenJade group)
Group:		Applications/Publishing/SGML
Source0:	http://dl.sourceforge.net/openjade/%{name}-%{version}-%{_pre}.tar.gz
# Source0-md5:	cbf3d8be3e3516dcb12b751de822b48c
Patch0:		%{name}-nls-from-1.4.patch
Patch1:		%{name}-as-needed.patch
URL:		http://openjade.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	opensp-devel >= 2:1.5.1
BuildRequires:	perl-base
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	sgml-common
Requires:	opensp >= 1.5-2
Requires:	sgml-common
Requires:	sgmlparser
Provides:	dssslparser
Provides:	jade
Obsoletes:	jade
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		sgmldir		/usr/share/sgml
%define		_datadir	%{sgmldir}/%{name}-%{version}

%description
Jade (James' DSSSL Engine) is an implementation of the DSSSL style
language. OpenJade is successor of Jade.

%description -l pl.UTF-8
Jade (James' DSSSL Engine) jest implementacją parsera DSSSL. OpenJade
jest następcą Jade.

%package devel
Summary:	OpenJade header files
Summary(pl.UTF-8):	Pliki nagłówkowe do bibliotek OpenJade
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	/sbin/ldconfig

%description devel
Openjade header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe do bibliotek OpenJade.

%package static
Summary:	OpenJade static libraries
Summary(pl.UTF-8):	Biblioteki statyczne OpenJade
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
OpenJade static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne OpenJade.

%prep
%setup -q -n %{name}-%{version}-%{_pre}
%patch0 -p1
%patch1 -p1

%build
LDFLAGS=""; export LDFLAGS
ln -sf config/configure.in .
# smr_SWITCH and OJ_SIZE_T_IS_UINT
tail -n +3349 config/aclocal.m4 | head -n 64 > acinclude.m4
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
--enable-default-catalog=%{_sysconfdir}/sgml/catalog \
--enable-default-search-path=%{_prefix}/share/sgml \
	--enable-mif \
	--enable-html \
	--enable-threads \
	--enable-splibdir=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	localedir=%{_prefix}/share/locale

# simulate jade
ln -sf openjade $RPM_BUILD_ROOT%{_bindir}/jade

# files present in openjade 1.4
install dsssl/{catalog,dsssl.dtd,extensions.dsl,fot.dtd,style-sheet.dtd} \
$RPM_BUILD_ROOT%{_datadir}
install -d $RPM_BUILD_ROOT%{_includedir}/OpenJade
install include/*.h grove/Node.h spgrove/{GroveApp,GroveBuilder}.h \
	style/{DssslApp,FOTBuilder}.h $RPM_BUILD_ROOT%{_includedir}/OpenJade

%find_lang jade

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
if ! grep -q %{_sysconfdir}/sgml/openjade.cat %{_sysconfdir}/sgml/catalog ; then
%{_bindir}/install-catalog --add %{_sysconfdir}/sgml/openjade.cat \
%{_datadir}/catalog
elif grep -sq %{_prefix}/share/OpenJade/catalog %{_sysconfdir}/sgml/openjade.cat ; then
	# upgrade
%{_bindir}/install-catalog --remove %{_sysconfdir}/sgml/openjade.cat \
%{_prefix}/share/OpenJade/catalog
%{_bindir}/install-catalog --add %{_sysconfdir}/sgml/openjade.cat \
%{_datadir}/catalog
fi

%postun
/sbin/ldconfig
if [ "$1" = "0" ] ; then
%{_bindir}/install-catalog --remove %{_sysconfdir}/sgml/openjade.cat \
%{_datadir}/catalog
fi

%files -f jade.lang
%defattr(644,root,root,755)
%doc COPYING ChangeLog NEWS README doc/*.htm jadedoc
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_datadir}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/OpenJade

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openjade.spec,v $
Revision 1.75  2007/09/05 14:47:34  baggins
- rel 10

Revision 1.74  2007/06/05 07:23:54  glen
- rel 9

Revision 1.73  2007/06/05 07:21:59  glen
- rel 8

Revision 1.72  2007/02/18 12:03:30  qrczak
- openjade-as-needed.patch: fixed linking with -Wl,--as-needed

Revision 1.71  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.70  2007/02/12 00:49:17  baggins
- converted to UTF-8

Revision 1.69  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.68  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.67  2005/12/27 10:12:09  pluto
- release bumped for rebuild with new opensp (.soname changed).

Revision 1.66  2005/12/25 15:18:48  qboosh
- gpm-friendly Source0 URL

Revision 1.65  2005/03/21 11:59:31  havner
- strict internal deps

Revision 1.64  2004/07/15 06:11:38  qboosh
- BR s/perl/perl-base/

Revision 1.63  2004/01/29 20:59:54  jajcus
- Release: .6

Revision 1.62  2004/01/05 20:23:05  ankry
- new head/tail syntax

Revision 1.61  2003/12/27 23:41:23  ankry
- fixed BR

Revision 1.60  2003/11/24 14:28:54  matkor
- BuildRequires:        opensp-devel >= 1:1.5.1.

Revision 1.59  2003/11/24 14:27:11  matkor
- Release 5. [Ac] To build with opensp-1.5.1 (libosp.so.4).

Revision 1.58  2003/10/26 23:55:57  arekm
- rebuild

Revision 1.57  2003/09/09 10:24:23  ankry
- spaces -> tab

Revision 1.56  2003/08/31 17:25:45  mmazur
- rel 0.pre1.3 for ac

Revision 1.55  2003/08/27 00:16:32  gotar
- fixed changelog trailer

Revision 1.54  2003/07/16 22:48:10  qboosh
- additional condition in %%post to fix upgrade problem
  (wrong path in existing catalog was left)

Revision 1.53  2003/06/30 13:34:13  qboosh
- added nls-from-1.4 patch, some path changes etc. - builds, seems to work

Revision 1.52  2003/06/27 12:42:58  misi3k
- std sf url

Revision 1.51  2003/06/23 21:08:12  jareq
- fixed epoch:version issue

Revision 1.50  2003/06/13 22:01:04  undefine
- hardcode --enable-splibdir=%{_libdir}, without it openjade fails build when
  detect /usr/lib64 directory(search there opensp =)

Revision 1.49  2003/06/09 08:09:05  qboosh
- BR: opensp-devel with gcc33 patch

Revision 1.48  2003/06/03 19:59:56  qboosh
- Epoch: 1 to allow upgrade from 1.4 snaps, added pre to release

Revision 1.47  2003/06/01 10:17:21  undefine
- update do openjade 1.3.3-pre1 (1.4 was very very old devel version)
- nfy
- release 0.1

Revision 1.46  2003/05/25 11:00:56  malekith
- massive attack, adding Source-md5

Revision 1.45  2003/03/02 19:46:13  qboosh
- more specific Requires
- release 12.snap.1: rebuild with opensp not linked with -lnsl

Revision 1.44  2002/12/03 18:22:09  undefine
- br opensp 1.5 (1.6 was "devel" version)

Revision 1.43  2002/11/25 14:17:47  ankry
- massive attack: no need for 755 for *.la

Revision 1.42  2002/11/11 23:56:40  agaran
merge DEVEL branch

Revision 1.36.2.3  2002/09/06 11:01:37  wiget
- fixed registration in centralized catalog
- release 12.%%{snap}

Revision 1.36.2.2  2002/06/03 15:53:41  wiget
patches are obsoleted now

Revision 1.36.2.1  2002/06/03 15:34:23  wiget
use new snapshot from 2002.05.31, this compiles and _work_ with gcc 3.1

Revision 1.36  2002/05/28 09:00:06  wiget
release 10.%%{snap}

Revision 1.35  2002/05/28 08:59:37  wiget
fix registration in centalized SGML SuperCatalog
removed CVS dirs from %%files
set snap version in one place (in other words use macros, dude)
register unicode.cat in SGML SuperCatalog

Revision 1.34  2002/05/21 23:14:18  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.33  2002/05/02 19:12:10  qboosh
- automake -a -c -f --foreign - don't change license information in COPYING!!!

Revision 1.32  2002/04/11 19:21:28  kloczek
- reelase 9.<snap> (rebuild for correct dependences on all archs).

Revision 1.31  2002/04/10 19:50:03  qboosh
- removed obsolete DESTDIR patch, use -g if debug on alpha
  (is -O0 workaround still needed?)
- added ac25x needed for autoconf 2.53

Revision 1.30  2002/04/09 21:27:42  mkierus
- fixed BuildRequires and Requires

Revision 1.29  2002/04/09 21:11:49  mkierus
- latest, working snapshot; previous didn't generate pdfs, ps, etc.; version with tag debian_version_1_4devel1-5

Revision 1.28  2002/03/27 11:39:42  roman
s/(c)/(C) in License

Revision 1.27  2002/03/27 11:32:19  roman
- License: Free (Copyright (c) 1999 The OpenJade group)

Revision 1.26  2002/03/24 23:28:22  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.25  2002/02/23 04:17:25  kloczek
- adapterized.

Revision 1.24  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/01/18 20:12:15  qboosh
- standarized changelog preample
- Prereq: ldcofig, sgml-common (not Requires - because of install-sgml-catalog)
- release 8.20000320

Revision 1.22  2001/12/06 14:05:18  kloczek
- changed release to 6.<snap>.

Revision 1.21  2001/11/23 12:31:21  qboosh
- changed Copyright to License

Revision 1.20  2001/09/26 12:50:24  qboosh
- adapterized, BuildRequires: autoconf, automake

Revision 1.19  2001/07/13 16:28:02  qboosh
- ac 2.50 compatibility fixes
- release 6.20000320

Revision 1.18  2001/02/15 23:37:18  kloczek
- added "libtoolize --copy --force" on top %build and added libtool to
  BuildRequires.

Revision 1.17  2001/02/15 20:24:49  kloczek
- added /sbin/ldconfig to Prereq for devel.

Revision 1.16  2001/02/15 14:20:41  klakier
- rel 5.20000320

Revision 1.15  2001/02/12 22:50:45  klakier
- Massive changes inspired by LSB (http://www.linuxbase.org)
  and RH and MDK packages

Revision 1.14  2000/11/08 11:56:36  kloczek
- release 4.20000320: use new rpm automation.

Revision 1.13  2000/08/24 23:16:04  baggins
- build with -O0 on alpha

Revision 1.12  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.11  2000/06/08 13:21:33  klakier
- improved catalog registration

Revision 1.10  2000/04/19 14:38:17  kloczek
- release 2.20000320,
- added "Provides: jade",
- added symlink jade to openjade binary.

Revision 1.9  2000/04/13 22:59:04  klakier
- removed "-fno-exceptions" - dumps core at any simple stylesheet or
  document error ;-/
- release 1.20000320

Revision 1.8  2000/04/09 10:13:26  klakier
- requires opensp-1.4-2

Revision 1.7  2000/04/04 19:58:29  kloczek
- changed to version 1.4, release 0.20000320 (using Epoch in this situation
  is not necessary),
- compile C++ code with -fno-exceptions,
- added static subpackage,
- added stripping shared libraries,
- removed SONAME symlinks from main package,
- added using %%find_lang macro for finding i18n depends .mo files.

Revision 1.6  2000/04/04 17:19:33  klakier
- added revision field

Revision 1.5  2000/04/01 11:15:11  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.3  2000/03/27 13:47:56  klakier
- rewriten spec (OpenSP is now distributed separately)
- upgraded to cvs snapshot
- uses fix-sgml-catalog

Revision 1.2  1999/12/05 17:58:56  waszi
fixed Source

Revision 1.1  1999/12/05 11:06:27  klakier
Slightly modified spec contributed by Ziemek Borowski

* Mon Nov 16 1999 Ziemek Borowski <ziembor@faq-bot.ziembor.waw.pl>
[1.3PEN]
- migrating to OpenJade
- merging SP and Jade (currently its has common sources and CVS)
  (:pserver:cvs@peano.mathematik.uni-freiburg.com:/jadecvs)

* Mon May  3 1999 Ziemek Borowski <ziembor@faq-bot.ziembor.waw.pl>
[1.2.1-1_1.3.2]
- rename sx to sgml2xml (conflict in namespace witch lrsz)
- comment SGML Declaration in UNICODE from default catalog
(it`s broke most of modern DTD).

* Thu Oct 26 1998 Ziemek Borowski <ziembor@faq-bot.ziembor.waw.pl>
[1.2.1-1]
- upgrade to 1.2.1 (with dynamic libraries -- changes in %files part)
- corrects to *.cat files (not dynamicaly generated).
- (I`m not sure if we ought to include *.la files -- not included).
- added --enable-mif (but it does`t working ;-(
- some cosmetic changes in spec: (new group, new prereq)
- simplifications in %post{un}

* Thu Sep 26 1998 Ziemek Borowski <ziembor@faq-bot.ziembor.waw.pl>
[1_2-4]
- updated new version
- added  -Dsig_atomic_t=int to make (against glibc-2.x --
required in glibc-2.0.93 but its help in 2.0.7 too)

* Thu Sep 10 1998 Wojtek Slusarczyk <wojtek@SHADOW.EU.ORG>
[1_1_1-3]
- patch against glibc 2.0.93  (quick & dirty)   (not nessessary in 1_2)

* Mon Sep 07 1998 Ziemek Borowski <ziembor@faq-bot.ziembor.waw.pl>
[1_1_1-2]
- added Polish .spec tranlation
- more detailed .spec
- separated to: jade, and sp  packages
- based od Mark Gallasi works ftp://ftp.cygnus.com/pub/home/rozalia/docware
